package com.yifu.cloud.plus.v1.ekp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.ekp.entity.EkpBankAtta;
import com.yifu.cloud.plus.v1.ekp.entity.EkpSocialInfo;
import com.yifu.cloud.plus.v1.ekp.vo.EkpBankAttaReturnVo;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 聚富通代发工资相关
 *
 * @author huyc
 * @date 2024-05-24 10:55:24
 */
public interface IcbcTransactionFlowIssueService extends IService<EkpSocialInfo> {

	/**
	 * @Description: 代发任务确认提交
	 * @Author: huyc
	 * @Date: 2024-11-12
	 * @return: R
	 **/
	R submitIcbcTransactionFlow();

	/**
	 * @Description: 代发任务批次明细查询
	 * @Author: huyc
	 * @Date: 2024-11-12
	 * @return: R
	 **/
	R selectIcbcTransactionFlowInfo();

	R asyncNotice(HttpServletRequest request) throws Exception;

	/**
	 * @Description: 根据银行卡号查询银行信息
	 * @Author: huyc
	 * @Date: 2024-11-12
	 * @return: R
	 **/
	R querybankinfo();

	/**
	 * @param fdId
	 * @param type 类型 1：主表附件；2：明细表附件
	 * @Description:
	 * @Author: hgw
	 * @Date: 2024/11/18 10:18
	 * @return: com.yifu.cloud.plus.v1.yifu.common.core.util.R<com.yifu.cloud.plus.v1.ekp.entity.EkpBankAtta>
	 **/
	R<EkpBankAttaReturnVo> getIssueFileByFdId(String fdId, String type);

	void exportAll(HttpServletResponse response);

}
